aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-django-registration/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/py-django-registration/APKBUILD')
-rw-r--r--main/py-django-registration/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/py-django-registration/APKBUILD b/main/py-django-registration/APKBUILD
new file mode 100644
index 0000000000..d92f0a5853
--- /dev/null
+++ b/main/py-django-registration/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: <xmingske@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+_pkgname=django-registration
+pkgname=py-${_pkgname}
+pkgver=1.0
+pkgrel=1
+pkgdesc="simple user-registration application for Django"
+url="https://github.com/ubernostrum/django-registration"
+arch="noarch"
+license="BSD"
+makedepends="python2-dev py-setuptools"
+depends="python2"
+source="${_pkgname}-${pkgver}.tar.gz::https://github.com/ubernostrum/django-registration/archive/${pkgver}.tar.gz"
+
+_builddir="${srcdir}/${_pkgname}-${pkgver}"
+
+prepare() {
+ local pf
+ cd "${_builddir}"
+ for pf in $source; do
+ case $pf in
+ *.patch) msg $pf; patch -p1 -i "$srcdir"/${pf} || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "${_builddir}"
+ python2 setup.py build || return 1
+}
+
+package() {
+ cd "${_builddir}"
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="86bb7ec89597e36ab58a613b2a7b4288 django-registration-1.0.tar.gz"
+sha256sums="0b28f9c95558b4c80bd9f89e4dd2c8769a625a838b7ed8fb26c4fa78f955e6bc django-registration-1.0.tar.gz"
+sha512sums="d47863a4fd0d5b68d2fe8419c85d7dda631ddb3afbeb32dbc530ec7f3e1a78bd795485cc295376e54d3da5e87b92b987b45ca4c11cc75a83cec537a77fe84e8f django-registration-1.0.tar.gz"